Name:           redbutton-browser
Version:        20091202
Release:        %mkrel 4
Group:          Development/Other 
License:        GPLv2+
Summary:        Redbutton browser for MHEG5 content
Source:         redbutton-browser-%{version}.tar.gz
Patch0:	        redbutton-browser-20091202-lib64swscale.patch
Patch1:		redbutton-browser-20091202-ffmpeg0.8.patch
URL:            http://redbutton.sourceforge.net/
BuildRequires:  ffmpeg-devel
BuildRequires:  libexpat-devel
BuildRequires:  libxrender-devel
BuildRequires:  libxft-devel
BuildRequires:  libpng-devel
BuildRequires:	libxt-devel
BuildRequires:  xsltproc

%description
This package provides a browser for MHEG5, which is used to make
user interface on TVs.
It is part of the redbutton tools suite.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
make CFLAGS="%optflags %ldflags"

%install
%__rm -rf %{buildroot}
mkdir -p %buildroot%_bindir
#make install DESTDIR=%buildroot # happens "/bin" to DESTDIR
install -m 755 rb-browser %buildroot%_bindir
install -m 755 rb-keymap %buildroot%_bindir

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%_bindir/rb-browser
%_bindir/rb-keymap


%changelog

* Mon Sep 19 2011 fwang <fwang> 20091202-4.mga2
+ Revision: 145244
- rebuild for new libpng

* Sat Jun 25 2011 fwang <fwang> 20091202-3.mga2
+ Revision: 113502
- fix build with ffmpeg 0.8
- add br
- rebuild for new ffmpeg

* Sun Apr 17 2011 ofaurax <ofaurax> 20091202-2.mga1
+ Revision: 86898
- imported package redbutton-browser

